import request from '@/utils/request'

// 查询质量月报S2007列表
export function listS2007(query) {
  return request({
    url: '/production/s2007/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S2007详细
export function getS2007(id) {
  return request({
    url: '/production/s2007/' + id,
    method: 'get'
  })
}

// 新增质量月报S2007
export function addS2007(data) {
  return request({
    url: '/production/s2007',
    method: 'post',
    data: data
  })
}

// 修改质量月报S2007
export function updateS2007(data) {
  return request({
    url: '/production/s2007',
    method: 'put',
    data: data
  })
}

// 删除质量月报S2007
export function delS2007(id) {
  return request({
    url: '/production/s2007/' + id,
    method: 'delete'
  })
}

// 导出质量月报S2007
export function exportS2007(query) {
  return request({
    url: '/production/s2007/export',
    method: 'get',
    params: query
  })
}